summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarkus Ullmann <jokey@gentoo.org>2007-04-18 14:00:48 +0000
committerMarkus Ullmann <jokey@gentoo.org>2007-04-18 14:00:48 +0000
commitf04964e1b87e642e148edb2c3702a820798e7a29 (patch)
treefa802e83201e0de5bdf863eff92731f78e31fb8e /sci-visualization/som_pak
parentnet-im/pyxmpp: Cosmetics and don't make ebuilds executables (diff)
downloadsunrise-f04964e1b87e642e148edb2c3702a820798e7a29.tar.gz
sunrise-f04964e1b87e642e148edb2c3702a820798e7a29.tar.bz2
sunrise-f04964e1b87e642e148edb2c3702a820798e7a29.zip
sci-visualization/som_pak: cosmetics
svn path=/sunrise/; revision=3473
Diffstat (limited to 'sci-visualization/som_pak')
-rw-r--r--sci-visualization/som_pak/ChangeLog3
-rw-r--r--sci-visualization/som_pak/Manifest4
-rw-r--r--sci-visualization/som_pak/som_pak-3.1.ebuild18
3 files changed, 16 insertions, 9 deletions
diff --git a/sci-visualization/som_pak/ChangeLog b/sci-visualization/som_pak/ChangeLog
index ec2d6c542..10845b7e7 100644
--- a/sci-visualization/som_pak/ChangeLog
+++ b/sci-visualization/som_pak/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 18 Apr 2007; Markus Ullmann <jokey@gentoo.org> som_pak-3.1.ebuild:
+ cosmetics
+
07 Apr 2007; Eddy Mulyono (eddyMul) <eddymul@gmail.com>
+som_pak-3.1.ebuild, +files/som_pak-3.1_makefile_qa.diff, +metadata.xml:
New Ebuild for bug 172841 thanks to jakub and Opfer
diff --git a/sci-visualization/som_pak/Manifest b/sci-visualization/som_pak/Manifest
index dd5575e7c..60f2ab2ad 100644
--- a/sci-visualization/som_pak/Manifest
+++ b/sci-visualization/som_pak/Manifest
@@ -1,5 +1,5 @@
AUX som_pak-3.1_makefile_qa.diff 189 RMD160 1ff10cba70fe8191488777ba1baa51e2cf1e8178 SHA1 51bcd843527ea64e06afddcf06e9d7546295df49 SHA256 1a1dc08ee711333de6dfd161942fd9a0615b27eadf3bd2d86a5af5c2d534df29
DIST som_pak-3.1.tar 501760 RMD160 cb48e48a8fcf773e8873a21cd0dca1a725b330cd SHA1 544081ebac033ea7eb667074d07937882373fb0f SHA256 a9421ebbe55217674c3a8a5157a8f8e124379e2689c652b7ca6003d0df889f6c
-EBUILD som_pak-3.1.ebuild 747 RMD160 8b499df96c6c9e8af71dbf33227c903553df98c8 SHA1 fb43cc2cefb056b730a633dfe626032d37bd7c67 SHA256 4cf4e2f889ad21c9a025cb5d066b119d366b88108ac729ce4db0e11ce6f65339
-MISC ChangeLog 314 RMD160 0b101ac4c98bf6f9f950a7ed2ac789d7bc660cb1 SHA1 929f40b817a915ee79f6eb4ffe16ad6d2602895f SHA256 98518709ad521259ee03442e895b4ce1763fa0f02716ecbebd93a5ef798d73fa
+EBUILD som_pak-3.1.ebuild 774 RMD160 cb98a1eef98686605e44a80051f05101671ab9ce SHA1 4af3ac7568634efc7ebe79e6e939855a96ec9dac SHA256 1b625e3b50b788d9f2aa06f99d0fed63c0f4216065141b4a41f1f8c884c7b011
+MISC ChangeLog 396 RMD160 e4fdf16c438c69bcbe869e20f46cba774ac8a235 SHA1 142b96b12ad2baa0790de5233069843299aa5d10 SHA256 1537ede33b3d78f68fd67100032d419d807e868c6ec9e5754fb691a71d0d2efc
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/sci-visualization/som_pak/som_pak-3.1.ebuild b/sci-visualization/som_pak/som_pak-3.1.ebuild
index 67e09a3cf..b469acefe 100644
--- a/sci-visualization/som_pak/som_pak-3.1.ebuild
+++ b/sci-visualization/som_pak/som_pak-3.1.ebuild
@@ -4,31 +4,35 @@
inherit eutils
+DESCRIPTION="The Self-Organizing Map Program Package"
+HOMEPAGE="http://www.cis.hut.fi/research/som-research/nnrc-programs.shtml"
SRC_URI="http://www.cis.hut.fi/research/${PN}/${P}.tar"
+
SLOT="0"
LICENSE="free-noncomm"
KEYWORDS="~x86"
-DESCRIPTION="The Self-Organizing Map Program Package"
-HOMEPAGE="http://www.cis.hut.fi/research/som-research/nnrc-programs.shtml"
IUSE=""
+DEPEND=""
+RDEPEND=""
+
src_unpack() {
unpack ${A}
-
cd "${S}"
- epatch "${FILESDIR}/${P}_makefile_qa.diff"
+
+ epatch "${FILESDIR}"/${P}_makefile_qa.diff
}
src_compile() {
- emake -f makefile.unix || die "compilation failed"
+ emake -f makefile.unix || die "emake failed"
}
src_test() {
# is this really a "test"?
- emake -f makefile.unix example || die "tests failed"
+ emake -f makefile.unix example || die "emake examples failed"
}
src_install() {
dobin lininit mapinit planes qerror randinit sammon umat vcal vfind visual vsom
dodoc README
-} \ No newline at end of file
+}